import { slice as s } from "../array.js";
import f from "../constant.js";
import { x as g, y as m } from "../point.js";
import h from "../../../../../d3-path@1.0.9/node_modules/d3-path/src/path.js";
function y(r) {
  return r.source;
}
function v(r) {
  return r.target;
}
function k(r) {
  var u = y, l = v, o = g, i = m, a = null;
  function t() {
    var n, e = s.call(arguments), c = u.apply(this, e), p = l.apply(this, e);
    if (a || (a = n = h()), r(a, +o.apply(this, (e[0] = c, e)), +i.apply(this, e), +o.apply(this, (e[0] = p, e)), +i.apply(this, e)), n) return a = null, n + "" || null;
  }
  return t.source = function(n) {
    return arguments.length ? (u = n, t) : u;
  }, t.target = function(n) {
    return arguments.length ? (l = n, t) : l;
  }, t.x = function(n) {
    return arguments.length ? (o = typeof n == "function" ? n : f(+n), t) : o;
  }, t.y = function(n) {
    return arguments.length ? (i = typeof n == "function" ? n : f(+n), t) : i;
  }, t.context = function(n) {
    return arguments.length ? (a = n ?? null, t) : a;
  }, t;
}
function z(r, u, l, o, i) {
  r.moveTo(u, l), r.bezierCurveTo(u = (u + o) / 2, l, u, i, o, i);
}
function x() {
  return k(z);
}
export {
  x as linkHorizontal
};
